# yarn

## Ignore All Workspaces
```
--detect.yarn.ignore.all.workspaces=false
```

All workspaces are ignored by the Yarn detector for increased performance and precision to scan a massive codebase\.



|Details||
|---|---|
|Added|9\.4\.0|
|Type|Boolean|
|Default Value|false|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## Yarn Dependency Types Excluded
```
--detect.yarn.dependency.types.excluded=NONE,NON_PRODUCTION 
```

Set this value to indicate which Yarn dependency types Detect should exclude from the BOM\.



|Details||
|---|---|
|Added|4\.0\.0|
|Type|YarnDependencyType List|
|Default Value|NONE|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|NONE, NON\_PRODUCTION|
|Strict|Yes|
|Example|`NON_PRODUCTION`|


## Yarn Exclude Workspaces (Advanced)
```
--detect.yarn.excluded.workspaces
```

A comma\-separated list of Yarn workspaces \(specified by the workspace directory's relative path\) to exclude\.

By default, Detect includes all workspaces, but will skip any Yarn workspaces specified via this property\. This property accepts filename globbing\-style wildcards\. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details\.

|Details||
|---|---|
|Added|7\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
    |Example|`workspaces/workspace-a,workspaces/*-test`|

## Yarn Include Workspaces (Advanced)
```
--detect.yarn.included.workspaces
```

A comma\-separated list of Yarn workspaces \(specified by the workspace directory's relative path\) to include\.

By default, Detect includes all workspaces\. If workspaces are excluded or included, Detect will include any workspace included by this property that is not excluded\. Exclusion rules always win\. This property accepts filename globbing\-style wildcards\. Refer to the <i>Configuring Synopsys Detect</i> > <i>Property wildcard support</i> page for more details\.

|Details||
|---|---|
|Added|7\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|Any|
|Strict|No|
    |Example|`workspaces/workspace-a,workspaces/workspace-b`|



